{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.id }}</div>
{% endblock %}

{% block formulaire %}
    <input type="hidden" name="OngletCompétences" id="OngletCompétences" value="1">
    <div id="FiltreActiBasesTreeView_DataNodes" style="display:none;">{{ psDataNodes }}</div>
    {#Boutons#}
    <div class="container col-lg-12 m-0 p-3" style="height: 100%; width:100%;">
        <div class="row" style="height: 100%">
            <div  class=" col-11 col-sm-2 pl-3 pb-2" style="height: 100%;">
				<div id="FiltreActiBasesTreeView_Treeview" style="height: 100%; overflow: auto;"></div>
            </div>
            <div class='col-12 col-sm-10 pr-3 pl-3' style="height: 100%">
                <div id="formulaire_DataTable_compétencesRessources" style="height: 100%">
                    {% include '@Paa/form/actiBases/actiBasesCompétences_Onglet.html.twig' with {'psType_Res': 'C', 'psNomType_Res': 'Compétences', 'poListeRes': poListeActiBases} %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{#Scripts qui doivent s'exécuter à la fin du body#}
{% block fin %}
<link rel="stylesheet" href="{{asset_version('vendor/bootstrap-treeview/bootstrap-treeview.css')}}" />
<script type="text/javascript" src="{{asset_version('vendor/bootstrap-treeview/bootstrap-treeview.js')}}"></script>
<script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGTreeview.js')}}"></script>
{#<script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormBoutons.js')}}"></script>#}
{#<script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormTreeview.js')}}"></script>#}

{% include '@Paa/form/actiBases/actiBasesCompétences_Onglet_Scripts.html.twig' %}

    <script>
        $(document).ready(pageEntityFormCompetence_DocumentReady);
        function pageEntityFormCompetence_DocumentReady() {
		// Générer le configurer le Treeview, et l'affecter à window.FiltreActiBasesTreeView.oTreeview
			var lsDataNodes = document.getElementById("FiltreActiBasesTreeView_DataNodes").textContent;
			var loFiltreActiBasesTreeView = LGTreeview_initTree("FiltreActiBasesTreeView_Treeview", lsDataNodes, null, null);
			loFiltreActiBasesTreeView.nodeSelected = function (event, node) {
				// Rendre l'id de la forme qu'attend le controleur : <GAB|SGAB|AB>_<IdDuGAB|SGAB|AB>_<IdRes>
				actiBasesCompétences_FiltrePourSGAB_AB("Compétences", node.ctype, node.iid) ;
			};
			actiBasesCompétences_MoveTxtFilter('Compétences');
		}
    </script>
{% endblock %}
